/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.CategoriaClase;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import com.rjconsultores.ventaboletos.entidad.CategoriaDescuento;
import com.rjconsultores.ventaboletos.entidad.CategoriaMarca;

/**
 * 
 * @author rodrigo
 */
public class RenderCategoriaDescuento implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		CategoriaCtrl cc = (CategoriaCtrl) o;

		Listcell lc = new Listcell(cc.getCategoriactrlId().toString());
		lc.setParent(lstm);

		lc = new Listcell(cc.getEmpresa().getNombempresa());
		lc.setParent(lstm);

		StringBuilder sb = new StringBuilder();
		for (CategoriaMarca m : cc.getCategoriaMarcaList()) {
			sb.append(m.getMarca().getDescmarca()).append(", ");
		}
		lc = new Listcell(sb.toString());
		lc.setParent(lstm);

		StringBuilder sb2 = new StringBuilder();
		for (CategoriaClase m : cc.getCategoriaClaseList()) {
			sb2.append(m.getClaseServicio().getDescclase()).append(", ");
		}
		lc = new Listcell(sb2.toString());
		lc.setParent(lstm);
		if (!cc.getCategoriaDescuentoList().isEmpty()) {

			sb = new StringBuilder();
			for (CategoriaDescuento catDesc : cc.getCategoriaDescuentoList()) {
				sb.append(catDesc.getCategoria()).append(", ");
			}

			lc = new Listcell(sb.toString());
			lc.setParent(lstm);
		}

		lstm.setAttribute("data", cc);
	}
}
